Jump to content

Orlsend

Level 1
  • Content Count

    5
  • Joined

  • Last visited

Everything posted by Orlsend

  1. After using this webclipper for 2 years, today I am propmpted with this message. This version of Evernote Web Clipper is no longer compatible with Evernote Service. Please install the latest version. I am running the latest stable FF (32x) on windows 7.
×
×
  • Create New...